﻿using Sharing.Province.Dtos;
using Sharing.Province.Dtos.HuiJu;
using XF.Domain.Dependency;

namespace Sharing.Province;

/// <summary>
/// 默认策略（保持原数据策略）
/// </summary>
public class DefaultPusher : IProvincePusher
{
    private readonly ProvinceClient _provinceClient;

    public DefaultPusher(ProvinceClient provinceClient)
    {
        _provinceClient = provinceClient;
    }

    public async Task PushOrderCreatedAsync(SubmitCaseInfoRequest request, CancellationToken cancellationToken)
    {
        var response = await _provinceClient.RequestAsync<SubmitCaseInfoRequest, ProvinceResponse>(request, cancellationToken);
    }
}