﻿using System.Text.Json.Serialization;
using Microsoft.AspNetCore.Http;

namespace Sharing.Province.Dtos.HuiJu;

public class SubmitCaseInfoRequest : ProvinceRequest<SubmitCaseInfoData>
{
    //业务汇聚-服务工单受理接口

    public override string GetRequestUrl() => "submit_case_info";

    public override string GetHttpMethod() => HttpMethods.Post;
}

public class SubmitCaseInfoData
{
    [JsonPropertyName("jsonList")]
    public IReadOnlyList<CaseInfo> CaseInfos { get; set; }
}

public class CaseInfo
{
    /*
     * "CASE_SERIAL":"服务工单编号",
"CASE_TITLE":"服务工单标题",
"CASE_REGISTER":"服务代表姓名",
"CASE_REGISTERNO":"服务代表工号",
"CASE_DATE":"登记时间",
"CASE_SOURCE":"诉求渠道",
"PHONE_NUMBER":"联系电话",
"APPLICANT_NAME":"服务对象名称",
"APPLICANT_SEX":"服务对象性别",
"APPLICANT_AGE":"服务对象年龄",
"APPLICANT_ID":"证件号码",
"CERTIFICATE_TYPE":"证件类型",
"CASE_TYPE":"诉求类型",
"CASE_ACCORD":"诉求归口",
"CASE_CONTENT":"诉求内容",
"CASE_PROCESS_TYPE":"处理方式",
"CASE_ISPUBLIC":"是否公开",
"CASE_ISSECRECT":"是否保密",
"CASE_ISVISIT":"是否回访",
"CASE_VALID":"是否有效受理"，
"CASE_ISURGENT":"紧急程度",
 "TSIGNTIME_BF":"应签收时限",
"TFDBACKTIME_BF":"应办结时限",
"TBACKTIME_BF":"应退回时限",
 "RELATE_SERIAL":"关联服务工单",
"AREA_CODE":"行政区划代码",
"CASE_LNGLAT":"经纬度",
"CASE_EMOTION":"诉求情感",
 "CASE_ADDRESS":"诉求详细地址",
"EVENT_DATE":"事发时间",
"CASE_GOAL":"诉求目的",
"THEME_SERIAL":"主题工单类型",
"CLIENG_GUID":"材料标识",
"ADVISE_TYPE":"建议类型",
"ADVISE_DEPT":"建议部门",
"COMPLAIN_TYPE":"投诉类型",
"COMPLAIN_DEPT":"投诉部门"
"PUSH_TYPE":"推送类型"
     */

    [JsonPropertyName("CASE_SERIAL")]
    public string OrderNo { get; set; }

    [JsonPropertyName("CASE_TITLE")]
    public string OrderTitle { get; set; }
}